<?php
 
 
 

namespace PhpWA\Protocol\Proto\Message;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\GPBUtil;
use Google\Protobuf\RepeatedField;




class InteractiveResponseMessage extends \Google\Protobuf\Internal\Message
{
    


    protected $body = null;
    


    protected $contextInfo = null;
    protected $interactiveResponseMessage;

    










    public function __construct($data = NULL) {
        \PhpWA\Protocol\Proto\Metadata\WAProto::initOnce();
        parent::__construct($data);
    }

    



    public function getBody()
    {
        return $this->body;
    }

    public function hasBody()
    {
        return isset($this->body);
    }

    public function clearBody()
    {
        unset($this->body);
    }

    




    public function setBody($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\InteractiveResponseMessage\Body::class);
        $this->body = $var;

        return $this;
    }

    



    public function getContextInfo()
    {
        return $this->contextInfo;
    }

    public function hasContextInfo()
    {
        return isset($this->contextInfo);
    }

    public function clearContextInfo()
    {
        unset($this->contextInfo);
    }

    




    public function setContextInfo($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\ContextInfo::class);
        $this->contextInfo = $var;

        return $this;
    }

    



    public function getNativeFlowResponseMessage()
    {
        return $this->readOneof(2);
    }

    public function hasNativeFlowResponseMessage()
    {
        return $this->hasOneof(2);
    }

    




    public function setNativeFlowResponseMessage($var)
    {
        GPBUtil::checkMessage($var, \PhpWA\Protocol\Proto\Message\InteractiveResponseMessage\NativeFlowResponseMessage::class);
        $this->writeOneof(2, $var);

        return $this;
    }

    


    public function getInteractiveResponseMessage()
    {
        return $this->whichOneof("interactiveResponseMessage");
    }

}

